<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<hdlworker language="vhdl" spec="windower_s-spec" version="2">
  <property name="max_window_length" type="ushort" parameter="true" default="128"
    description="maximum number of coefficients in the window used for BRAM allocation"/>
  <specproperty name="coefficients" raw="true"/>
  <streaminterface name="input" datawidth="16"/>
  <streaminterface name="output" datawidth="16"/>
</hdlworker>
